#
# spec file for package perl-Net-Netmask
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Net-Netmask
Version:        1.9022
Release:        lp152.3.2
#Upstream:  This module may be used, modified and redistributed on the same terms as Perl itself.
%define cpan_name Net-Netmask
Summary:        Parse, Manipulate and Lookup Ip Network Blocks
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Net-Netmask/
Source0:        http://www.cpan.org/authors/id/M/MU/MUIR/modules/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Net::Netmask parses and understands IPv4 CIDR blocks. It's built with an
object-oriented interface. Nearly all functions are methods that operate on
a Net::Netmask object.

There are methods that provide the nearly all bits of information about a
network block that you might want.

There are also functions to put a network block into a table and then later
lookup network blocks by IP address in that table. There are functions to
turn a IP address range into a list of CIDR blocks. There are functions to
turn a list of CIDR blocks into a list of IP addresses.

There is a function for sorting by text IP address.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue May  5 2015 coolo@suse.com
- updated to 1.9022
  see /usr/share/doc/packages/perl-Net-Netmask/Changes
  1.9022 2015-05-05
  - Changes from adamherzog: minor cleanups plus
  - A bunch of addtional tests
  - A couple of small code fixes
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.9021
  see /usr/share/doc/packages/perl-Net-Netmask/Changes
  1.9021 2014-07-17
* Fri Oct  4 2013 coolo@suse.com
- updated to 1.9019
  - Rename $b to $bits so that netmask can be sorted.  Change mostly
    from https://rt.cpan.org/Ticket/Display.html?id=76939
  - Minor MANIFEST fix.
  - Add network split() function.
  - Re-arrange the distribution a bit.
* Tue Mar 27 2012 cfarrell@suse.com
- license update: Artistic-1.0 or GPL-1.0+
  Package is licensed under the same terms as Perl
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Thu Mar 24 2011 vcizek@novell.com
- update to 1.9016
  Fix bug rt#46996: warnings issued for bad input.
  Fix bug rt#43348: use POSIX::floor() instead of int()
  Rewrite netmask.t to use Test::More
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Dec 13 2006 anicka@suse.cz
- update to 1.9015
  * Fix bug: cidrs2inverse wouldn't notice /32-sized leftovers.
* Thu Oct 19 2006 anicka@suse.cz
- update to 1.9014
  * Fix bug: cidrs2inverse wouldn't notice /32-sized holes.
* Thu Sep 14 2006 anicka@suse.cz
- update to 1.9013
  * Added the nextblock() method
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug  1 2005 mjancar@suse.cz
- update to 1.9012
* Thu Aug 19 2004 mjancar@suse.cz
- update to 1.9011
* Thu Feb 26 2004 mjancar@suse.cz
- update to 1.9007
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Thu Jun 19 2003 mjancar@suse.cz
- update to 1.9004
- fix filelist
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Tue Jan 15 2002 rvasice@suse.cz
- update to version 1.9002
* Tue Aug 14 2001 rvasice@suse.cz
- update to version 1.9
* Mon Mar 26 2001 cihlar@suse.cz
- added make test
* Tue Nov 14 2000 cihlar@suse.cz
- renamed perl_nm -> perl-Net-Netmask
* Thu Aug 24 2000 cihlar@suse.cz
- update to version 1.8
- added BuildRoot
- bzipped sources
* Fri Jan 21 2000 ro@suse.de
- fixed filelist
* Mon Nov  8 1999 choeger@suse.de
- first version
